/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.constants;

import net.jini.core.transaction.server.TransactionConstants;

/** Names for constants common to transaction managers and participants. */

public class TxnConstants implements TransactionConstants {
    /** Names of each of the states */
    private static final String[] stateNames = {
	null, "active", "voting", "prepared",
	"notchanged", "committed", "aborted"
    };

    /**
     * Returns a <code>String</code> which describes
     * the state of the <code>Transaction</code>.
     *
     * @see net.jini.core.transaction.server.TransactionConstants
     */
    public static String getName(int state) {
	String name = "UNKNOWN";
	switch (state) {
	  case ACTIVE:
	  case VOTING:
	  case PREPARED:
	  case NOTCHANGED:
	  case COMMITTED:
	  case ABORTED:
	    name = stateNames[state];
	}
	return name;
    }
}
