/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.File;
import java.net.InetAddress;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class ClassesGUI
{
    

    JLabel     jarTopLabel,jarURLTopLabel;
    JLabel     jarReggieServerLabel,jarReggieClientLabel;
    JLabel     jarMahaloServerLabel,jarMahaloClientLabel;
    JLabel     jarOutriggerServerLabel,jarOutriggerClientLabel;
    JLabel     jarTransientOutriggerServerLabel;
    JLabel     jarToolsLabel;

    JTextField jarTopField,jarURLTopField;
    JTextField jarReggieServerField,jarReggieClientField;
    JTextField jarMahaloServerField,jarMahaloClientField;
    JTextField jarOutriggerServerField,jarOutriggerClientField;
    JTextField jarTransientOutriggerServerField;
    JTextField jarToolsField;

    GridLayout classesGUILayout;

    public ClassesGUI( JPanel panel, String text) 
    {

	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	jarTopLabel = new JLabel("Path to Jar Files:");
	jarTopLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarURLTopLabel = new JLabel("URL to Client Jar Files:");
	jarURLTopLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarReggieServerLabel = new JLabel("Reggie Server Jar File:");
	jarReggieServerLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarReggieClientLabel = new JLabel("Reggie Client Jar File URL:");
	jarReggieClientLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarMahaloServerLabel = new JLabel("Mahalo Server Jar File:");
	jarMahaloServerLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarMahaloClientLabel = new JLabel("Mahalo Client Jar File URL:");
	jarMahaloClientLabel.setHorizontalAlignment(JLabel.RIGHT);

        jarOutriggerServerLabel = new JLabel("Outrigger Server Jar File:");
	jarOutriggerServerLabel.setHorizontalAlignment(JLabel.RIGHT);

        jarTransientOutriggerServerLabel = new 
	                                JLabel("Outrigger Server Jar File:");
	jarTransientOutriggerServerLabel.setHorizontalAlignment(JLabel.RIGHT);

        jarOutriggerClientLabel = new JLabel("Outrigger Client Jar File URL:");
	jarOutriggerClientLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarToolsLabel = new JLabel("Tools Jar File:");
	jarToolsLabel.setHorizontalAlignment(JLabel.RIGHT);

	jarTopField    = new JTextField(StartService.rootDir + 
					File.separator + "jini1_0"  + 
					File.separator + "lib");

	String host = System.getProperty("java.rmi.server.hostname");
	if (host == null) {
	    try {
		host = InetAddress.getLocalHost().getHostName();
	    } catch (Exception e) {
		host = "localhost";
	    }
	}
	jarURLTopField = new JTextField("http://" + host + ":8080");
	jarReggieServerField = new JTextField("reggie.jar");
	jarReggieClientField = new JTextField("reggie-dl.jar");
	jarMahaloServerField = new JTextField("mahalo.jar");
	jarMahaloClientField = new JTextField("mahalo-dl.jar");
	jarOutriggerServerField = new JTextField("outrigger.jar");
	jarTransientOutriggerServerField = new
	                          JTextField("transient-outrigger.jar");
	jarOutriggerClientField = new JTextField("outrigger-dl.jar");
	jarToolsField = new JTextField("tools.jar");

	panel.add(jarTopLabel);
	panel.add(jarTopField);

	panel.add(jarURLTopLabel);
	panel.add(jarURLTopField);

	panel.add(jarReggieServerLabel);
	panel.add(jarReggieServerField);
	panel.add(jarReggieClientLabel);
	panel.add(jarReggieClientField);

	panel.add(jarMahaloServerLabel);
	panel.add(jarMahaloServerField);
	panel.add(jarMahaloClientLabel);
	panel.add(jarMahaloClientField);

	panel.add(jarOutriggerServerLabel);
	panel.add(jarOutriggerServerField);
	panel.add(jarTransientOutriggerServerLabel);
	panel.add(jarTransientOutriggerServerField);
	panel.add(jarOutriggerClientLabel);
	panel.add(jarOutriggerClientField);

	panel.add(jarToolsLabel);
	panel.add(jarToolsField);

    }//end-constructor
     
    public String getJarTop() {
	return jarTopField.getText();
    }

    public String getURLTop() {
	return jarURLTopField.getText();
    }

    public String getReggieServer() {
	return jarReggieServerField.getText();
    }

    public String getReggieClient() {
	return jarReggieClientField.getText();
    }

    public String getMahaloServer() {
	return jarMahaloServerField.getText();
    }

    public String getMahaloClient() {
	return jarMahaloClientField.getText();
    }

    public String getOutriggerServer() {
	return jarOutriggerServerField.getText();
    }

    public String getTransientOutriggerServer() {
	return jarTransientOutriggerServerField.getText();
    }

    public String getOutriggerClient() {
	return jarOutriggerClientField.getText();
    }

    public String getTools() {
	return jarToolsField.getText();
    }
}//end-class


