/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class PolicyGUI
{
    
    JPanel     panel;
    GridLayout classesGUILayout;
    JLabel     txnLabel,spacesLabel,lookupLabel;
    JTextField txnField,spacesField,lookupField;
    

    public PolicyGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	txnLabel = new JLabel("Location of Txn Policy File:");
	txnLabel.setHorizontalAlignment(JLabel.RIGHT);
	

	spacesLabel = new JLabel("Location of Spaces Policy File:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);

	lookupLabel = new JLabel("Location of Lookup Policy File:");
	lookupLabel.setHorizontalAlignment(JLabel.RIGHT);


	txnField    = new JTextField(StartService.rootDir +
				     File.separator + "jini1_0" +
				     File.separator + "example" +
				     File.separator + "txn"   +
				     File.separator + "policy.all" );

	spacesField = new JTextField(StartService.rootDir +
				     File.separator + "jini1_0" +
				     File.separator + "example" +
				     File.separator + "books"   +
				     File.separator + "policy.all");

	lookupField = new JTextField(StartService.rootDir +
				     File.separator + "jini1_0" +
				     File.separator + "example" +
				     File.separator + "lookup"  +
				     File.separator + "policy.all");
	
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(txnLabel);
	panel.add(txnField);
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add(lookupLabel);
	panel.add(lookupField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
    }//end-constructor
    
    public String getLookupPath() {
	return lookupField.getText();
    }

    public String gettxnPath() {
	return txnField.getText();
    }

    public String getSpacePath() {
	return spacesField.getText();
    }

}//end-class



