/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.SwingConstants;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;
import javax.swing.AbstractButton;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;

public class RegistryGUI {


    JLabel       registryPortLabel;
    JLabel	 lookupLogLabel;
    JLabel       lookupGroupsLabel;
    JTextField   registryPortField;
    JTextField   lookupLogField;
    JTextField   lookupGroupsField;    
    JPanel       panel;
    GridLayout   classesGUILayout;
    JRadioButton rmiButton,lookupButton,noneButton;
    ButtonGroup  registryGroup;
    RunitGUI     runitGUIRef;


    public RegistryGUI( JPanel panel, String text) {
	
	//panel = new JPanel(false);
	
	classesGUILayout = (new GridLayout(6, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));

	
	registryPortLabel = new JLabel("Registry Port:");
	registryPortLabel.setHorizontalAlignment(JLabel.RIGHT);
	registryPortField = new JTextField();

	lookupLogLabel = new JLabel("Log Directory:");
	lookupLogLabel.setHorizontalAlignment(JLabel.RIGHT);
	lookupLogField = new JTextField(File.separator + "tmp" + 
					File.separator + "reggie_log");

	lookupGroupsLabel = new JLabel("Lookup Groups:");
	lookupGroupsLabel.setHorizontalAlignment(JLabel.RIGHT);
	lookupGroupsField = new JTextField("public");

	rmiButton    = new JRadioButton("RMI Registry");
	lookupButton = new JRadioButton("Lookup Services");
	noneButton   = new JRadioButton("NONE");

	registryGroup = new ButtonGroup();
	registryGroup.add(rmiButton);
	registryGroup.add(lookupButton);
	registryGroup.add(noneButton);

	panel.add(rmiButton);
	panel.add( new JLabel(" "));

	panel.add(registryPortLabel);
	panel.add(registryPortField);

	panel.add(lookupButton);
	panel.add( new JLabel(" "));

	panel.add(lookupLogLabel);
	panel.add(lookupLogField);
	
	panel.add(lookupGroupsLabel);
	panel.add(lookupGroupsField);	

	panel.add(noneButton);

    }//end-constructor

    public String getLookupLog() {
	return lookupLogField.getText();
    }

    public String getLookupGroups() {
	return lookupGroupsField.getText();
    }

    public String getRegistryPort() {
	return registryPortField.getText();
    }

    public boolean getRMIRegistryState() {
	return rmiButton.isSelected();
    }

    public boolean getLookupState() {
	return lookupButton.isSelected();
    }

    public String getCurrentRegistryType() {
	if ( rmiButton.isSelected() ) 
	    return rmiButton.getText();
	else {
	    if ( lookupButton.isSelected() )
		return lookupButton.getText();
	    else {
		return ("No Services");
	    }
	}
    }

    public void setRunitRef( RunitGUI runit ) {
	runitGUIRef = runit;
	SymMouse aSymMouse = new SymMouse();
	rmiButton.addMouseListener(aSymMouse);
	lookupButton.addMouseListener(aSymMouse);
	noneButton.addMouseListener(aSymMouse);
    }

  class SymMouse extends java.awt.event.MouseAdapter {
	
	public void mouseClicked(java.awt.event.MouseEvent event) {
	    
	    Object object = event.getSource();

	    if (object == rmiButton ) {
		System.err.println("Setting Runit Registry Label");
		runitGUIRef.setRegistryText( rmiButton.getText() );
	    }
	    
	    if (object == lookupButton ) {
		System.err.println("Setting Runit Lookup Label");
		runitGUIRef.setRegistryText( lookupButton.getText() );
	    }

	    if (object == noneButton ) {
		System.err.println("Setting no label");
		runitGUIRef.setRegistryText("NO SERVICES");
	    }
	}//end-mouseClicked
  }//end-SymMouse

}//end-class






