/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.*;
import java.lang.*;
import java.io.IOException;
import com.sun.jini.system.FileSystem;
import com.sun.jini.thread.StreamPlugThread;

public class RunHttpd {

    private Process p1;
    private Runtime rt;
    private String  runCmd;

     public RunHttpd( String  httpdPort,
		      String  httpdDocRoot,
		      boolean httpdTree,
		      boolean httpdVerbose,
		      String  jarPath,
		      String  toolsJar) {


	runCmd = "java -jar ";

	if ( jarPath.equals("") )
    	    runCmd = runCmd + toolsJar;
	else
	    runCmd = runCmd + jarPath + File.separator + toolsJar;



	if ( !httpdPort.equals("") )
		runCmd = runCmd + " -port " + httpdPort;
	if ( !httpdDocRoot.equals("") )
		runCmd = runCmd + " -dir " + httpdDocRoot;
	if ( httpdTree )
		runCmd = runCmd + " -trees ";
	if ( httpdVerbose )
		runCmd = runCmd + " -verbose ";
        try {
            rt = Runtime.getRuntime();
            System.err.println("Running web server " + runCmd);
			       

             p1 = rt.exec(runCmd); 
		
            StreamPlugThread.plugTogether(p1.getInputStream(),System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(),System.err);

        } catch (IOException e) {
            System.err.println("exec error:" + e);
          }
    }

    public void destroy() {

	System.err.println("Destroying Web Server");
	p1.destroy();
	
    }
}

