/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.*;
import java.lang.*;
import java.io.IOException;
import com.sun.jini.system.FileSystem;
import com.sun.jini.thread.StreamPlugThread;

public class RunLookup {

    private Process p1;
    private Runtime rt;
    private String  runCmd;
    private String  lookupLog;

    public RunLookup( String jarTop,
		      String jarReggieServer,
		      String jarURLTop,
		      String jarReggieClient,
		      String policyFile,
		      String lookupLog,
		      String lookupGroups ) {

	this.lookupLog = lookupLog;
	
	try {
	    FileSystem.destroy((new File(lookupLog)),true);
	    System.err.println("found " + lookupLog + " ...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete " + lookupLog);
	}

        runCmd = "java -jar -Djava.security.policy=" + policyFile;

	if ( jarTop.equals("") )
	    runCmd = runCmd + " " + jarReggieServer;
	else
	    runCmd = runCmd + " " + jarTop + File.separator + jarReggieServer;


	if ( jarURLTop.equals("") )
	    runCmd = runCmd + " " + jarReggieClient;
	else
	    runCmd = runCmd + " " + jarURLTop + File.separator + 
		                                jarReggieClient;


	runCmd = runCmd + " " + policyFile;
	runCmd = runCmd + " " + lookupLog;
	runCmd = runCmd + " " + lookupGroups;


        try {
            Runtime rt = Runtime.getRuntime();

            System.err.println("\nRunning " + runCmd );

            p1 = rt.exec(runCmd);

	    StreamPlugThread.plugTogether(p1.getInputStream(),System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(),System.err);


        } catch (IOException e) {
            System.err.println("exec error:" + e);
          }
    }

    public void destroy() {
	if (p1 != null) {
	    p1.destroy();
	    System.err.println("Killing Lookup Service");
	} else {
	    System.err.println("Lookup Service Not Running");
	}

	try {
	    FileSystem.destroy((new File(lookupLog)),true);
	    System.err.println("found " + lookupLog + " ...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete " + lookupLog);
	}

    }
}




