/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;

public class SpacesGUI
{
    
    JPanel     panel;
    GridLayout spacesGUILayout;
    JLabel     spacesLabel,spacesTypeLabel,spacesPersistentDirLabel;
    JTextField spacesField,spacesTypeField,spacesPersistentDirField;
    JComboBox  spacesTypeChoice;

    public SpacesGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	spacesGUILayout = (new GridLayout(0, 2));
	spacesGUILayout.setHgap(3);
	spacesGUILayout.setVgap(3);
	panel.setLayout(spacesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	spacesLabel = new JLabel("JavaSpace Name:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);
	

	spacesTypeLabel = new JLabel("Space Type:");
	spacesTypeLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesPersistentDirLabel = new JLabel("Location of Persistent Dir:");
	spacesPersistentDirLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesField = new JTextField("JavaSpaces");
	spacesPersistentDirField = new JTextField(File.separator + "tmp" +
						  File.separator +
						  "outriggerDir");

	spacesTypeChoice = new JComboBox();
	spacesTypeChoice.addItem("Transient");
	spacesTypeChoice.addItem("FrontEnd");

        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add(spacesTypeLabel);
	panel.add(spacesTypeChoice);
	panel.add(spacesPersistentDirLabel);
	panel.add(spacesPersistentDirField);
        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	

    }//end-constructor

    public Object getSpaceType() {
	return spacesTypeChoice.getSelectedItem();
    }    
 
    public String getSpaceName() {
	return spacesField.getText();
    }

    public String getPersistentDir() {
	return spacesPersistentDirField.getText();
    }
}//end-class


