/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Component;
import javax.swing.AbstractButton;


/**
 *
 * Take the given JTabbedPane and insert a place a panel,
 * whose contents will be filled in another class.
 * 
 */
public class TabbedGUI extends JPanel 
{

    JPanel classPanel;
    
    public TabbedGUI(String tabLabel ,JTabbedPane panel, String comment) 
    {
	// Lets not do any double buffered flow layouts
	classPanel = new JPanel(false);
	panel.addTab(tabLabel,null,classPanel,comment);
    }

    public JPanel getPanel() 
    {
	return classPanel;
    }

}//end-tabbedGUI
