/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */

package com.sun.jini.lease;

import net.jini.core.lease.Lease;

public interface LeaseListener extends java.util.EventListener {
    /**
     * Called by the LeaseRenewalManager when a lease expires or is
     * denied before the desired absolute expiration time is reached.
     * The lease has already been removed from the managed set.  New
     * leases can be added from within the listener.
     *
     * @param e the event
     */
    void notify(LeaseRenewalEvent e);
}
