/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.lookup;

/**
 * Interface used by a service that does not yet have a service ID, for
 * callback from the JoinManager when a service ID is assigned.
 *
 * @see JoinManager
 */
public interface ServiceIDListener extends java.util.EventListener {
    /** 
     * Called when the JoinManager gets a valid ServiceID from a lookup 
     * service.
     */
    void serviceIDNotify(net.jini.core.lookup.ServiceID serviceID);
}
