/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahalo;

import net.jini.core.transaction.*;
import net.jini.core.transaction.server.*;

import com.sun.jini.lease.landlord.Landlord;

import net.jini.admin.Administrable;
import com.sun.jini.admin.DestroyAdmin;
import com.sun.jini.mahout.KillVMAdmin;
import com.sun.jini.mahout.RegistryAdmin;

import java.rmi.*;

/**
 * Encapsulates the interface of an implementation of
 * a <code>TransactionManager</code>.
 *
 * @author Ken Arnold
 * @author Gary Holness
 */
public interface TxnManager extends Remote, Landlord, DestroyAdmin,
    Administrable, KillVMAdmin
{
    public static final String DEFAULT_NAME = "TransactionManager";

    /**
     * Returns a reference to the <code>TransactionManager</code>
     * interface.
     */
    TransactionManager manager() throws RemoteException;

    /**
     * Retrieves a <code>Transaction</code> given the
     * transaction's ID.
     *
     * @param id the id
     */
    Transaction getTransaction(long id)
	throws RemoteException, UnknownTransactionException;
}
