/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahalo;

import java.io.File;
import java.io.Serializable;
import java.io.IOException;

import com.sun.jini.mahout.binder.BinderFactory;

/**
 * A <code>TxnManagerState</code> encapsulates the state needed for
 * reconstrucing the state of a TxnManager
 *
 * @author Ken Arnold
 * @author Gary Holness
 *
 * @see TxnManagerImpl
 */
public class TxnManagerState implements Serializable {
    static final long serialVersionUID = 8540651988054415579L;

    /**
     * @serial
     */
    private String name;

    /**
     * @serial
     */
    private String path;

    /**
     * @serial
     */
    private BinderFactory binderFactory;

    private static final boolean DEBUG = false;

    public TxnManagerState(String name, String path, 
			   BinderFactory binderFactory)
	throws IOException
    {
	this.name = name;
	this.path = path;
	this.binderFactory = binderFactory;
    }

    public String getName() {
	return name;
    }

    public String getPath() {
	return path;
    }

    public BinderFactory getBinderFactory() {
	return binderFactory;
    }
}
