/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahout.binder;

import java.io.Serializable;
import java.io.IOException;
import java.rmi.RemoteException;

/**
 * Serializable object that will yield a Binder on demand.
 *
 * @see BinderSetup
 * @see Binder
 * @author John W.F. McClain 
 */
public interface BinderFactory extends Serializable {
    /**
     * Return the binder encapsulated by this object.
     */
    public Binder get() throws RemoteException;
}

