/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahout.binder;

import java.rmi.*;

/**
 * Non-remote object can't be bound into a RMI registry.  One
 * solution is to register remote object which has a method that will
 * return the object that we would have liked to have bound directly 
 * into the registry.  <code>RefHolder</code> is the interface for 
 * just such a remote object
 */
public interface RefHolder extends Remote {
    /**
     * Return the object that we wanted to bind into RMI registry 
     */
    Object proxy() throws RemoteException;
}
