/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.core.entry;

/**
 * This class is the supertype of all entries that can be stored in a
 * Jini(TM) Lookup service.
 * <p>
 * Each field of an entry must be a public reference (object) type.
 * You cannot store primitive types in fields of an
 * <code>Entry</code>.  An <code>Entry</code> may have any number of
 * methods or constructors.  Each field is serialized separately, so
 * references between two fields of an entry will not be reconstituted
 * to be shared references, but instead to separate copies of the
 * original object.
 *
 * @see net.jini.core.lookup.ServiceRegistrar
 *
 * @author Ken Arnold
 * @author Jim Waldo
 */
public interface Entry extends java.io.Serializable {
}
