/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */

package net.jini.core.lease;

import java.util.Map;

/**
 * An exception generated when a LeaseMap renewAll or cancelAll call
 * generates exceptions on one or more leases in the map.
 */
public class LeaseMapException extends LeaseException {

    private static final long serialVersionUID = -4854893779678486122L;

    /**
     * A Map from Lease to Exception, containing each lease that failed to
     * renew or cancel, and the exception that resulted from that lease's
     * renewal or cancel attempt.
     *
     * @serial
     */
    public Map exceptionMap;

    /**
     * Constructs an LeaseMapException for the specified map with a
     * detail message.
     */
    public LeaseMapException(String s, Map exceptionMap) {
	super(s);
	this.exceptionMap = exceptionMap;
    }
}
