/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */

package net.jini.core.lease;

/**
 * An exception used to indicate that a lease is not known to the grantor
 * of the lease.  This can occur when a lease expires or has been cancelled.
 */
public class UnknownLeaseException extends LeaseException {

    private static final long serialVersionUID = -2921099330511429288L;

    /**
     * Constructs an UnknownLeaseException with no detail message.
     */
    public UnknownLeaseException() {
	super();
    }

    /**
     * Constructs an UnknownLeaseException with the specified detail message.
     */
    public UnknownLeaseException(String reason) {
	super(reason);
    }
}
