/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.core.lookup;

/**
 * An instance of this class is used for the return value when looking up
 * multiple items in the lookup service.
 */
public class ServiceMatches implements java.io.Serializable {

    private static final long serialVersionUID = -5518280843537399398L;

    /**
     * Matching items (up to maxMatches from lookup method)
     *
     * @serial
     */
    public ServiceItem[] items;
    /**
     * Total number of matching items
     *
     * @serial
     */
    public int totalMatches;

    /**
     * Simple constructor.
     *
     * @param items matching items
     * @param totalMatches total number of matching items
     */
    public ServiceMatches(ServiceItem[] items, int totalMatches) {
	this.items = items;
	this.totalMatches = totalMatches;
    }
}
