/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.core.transaction;


/**
 * Exception thrown when a transaction cannot commit because it has already
 * aborted or must now be aborted.
 */
public class CannotCommitException extends TransactionException {
    static final long serialVersionUID = -4497341152359563957L;

    /**
     * Constructs an instance with a detail message.
     *
     * @param desc the detail message
     */
    public CannotCommitException(String desc) {
	super(desc);
    }

    /** Constructs an instance with no detail message. */
    public CannotCommitException() {
	super();
    }
}
