/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.core.transaction;


/**
 * Exception thrown when a transaction timeout has expired.
 */
public class TimeoutExpiredException extends TransactionException {
    static final long serialVersionUID = 3918773760682958000L;

    /**
     * True if the transaction committed before the timeout.
     *
     * @serial
     */
    public boolean committed;

    /**
     * Constructs an instance with no detail message.
     *
     * @param committed whether the transaction committed before the timeout.
     */
    public TimeoutExpiredException(boolean committed) {
        this.committed = committed;
    }

    /**
     * Constructs an instance with a detail message.
     *
     * @param desc the detail message
     * @param committed whether the transaction committed before the timeout.
     */
    public TimeoutExpiredException(String desc, boolean committed) {
        super(desc);
        this.committed = committed;
    }
}
