/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.core.transaction;


/**
 * Exception thrown when a transaction is not recognized as a valid
 * or known transaction.  Common reasons for this include: the transaction
 * has previously been explicitly aborted; the transaction has previously
 * aborted because the transaction manager crashed; the transaction has
 * previously been explicitly committed.
 */
public class UnknownTransactionException extends TransactionException {
    static final long serialVersionUID = 443798629936327009L;

    /**
     * Constructs an instance with a detail message.
     *
     * @param desc the detail message
     */
    public UnknownTransactionException(String desc) {
	super(desc);
    }

    /** Constructs an instance with no detail message. */
    public UnknownTransactionException() {
	super();
    }
}
