/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;

/**
 * A free-form comment about a service.
 *
 * @author Bryan O'Sullivan
 */
public class Comment extends AbstractEntry {
    private static final long serialVersionUID = 7138608904371928208L;

    /**
     * Construct an empty instance of this class.
     */
    public Comment() {
    }
    
    /**
     * Construct an instance of this class, with all fields
     * initialized appropriately.
     */
    public Comment(String comment) {
	this.comment = comment;
    }

    /**
     * The comment itself.
     *
     * @serial
     */
    public String comment;
}
