/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;
import java.awt.Image;

/**
 * Human-oriented information about the "type" of a service.  This is
 * not related to its data or class types, and is more oriented towards
 * allowing someone to determine what a service (for example, a printer)
 * does and that it is similar to another, without needing to know
 * anything about data or class types for the Java platform.
 *
 * @author Bryan O'Sullivan
 */
public abstract class ServiceType extends AbstractEntry
				  implements ServiceControlled
{
    private static final long serialVersionUID = -6443809721367395836L;

    /**
     * Instantiate this class.
     */
    public ServiceType() {
    }

    /**
     * Get an icon for this service.  This icon may be localized where
     * appropriate.  The valid parameter values are the same as for
     * the getIcon method of java.beans.BeanInfo.
     *
     * @param iconKind the kind of icon to return
     */
    public Image getIcon(int iconKind) {
	return null;
    }

    /**
     * Return the localized display name of this service.
     */
    public String getDisplayName() {
	return null;
    }

    /**
     * Return a localized short description of this service.
     */
    public String getShortDescription() {
	return null;
    }
}
