/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;
import java.awt.Image;

/**
 * The base class from which other status-related entry classes may be
 * derived.
 *
 * @see StatusBean
 * @see StatusType
 * @author Bryan O'Sullivan
 */
public abstract class Status extends AbstractEntry implements ServiceControlled
{
    private static final long serialVersionUID = -5193075846115040838L;

    /**
     * Construct an empty Status object.
     */
    protected Status() {
    }

    /**
     * Construct a Status object with the given severity.
     *
     * @param severity the severity level of this status object
     */
    protected Status(StatusType severity) {
	this.severity = severity;
    }

    /**
     * The severity level of this status object.
     *
     * @serial
     */
    public StatusType severity;
}
